curl "https://app.talkover.ai/api/v1/callback-agents" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "agent-uuid-1",
"name": "Callback Handler",
"label": "Inbound Callback Agent",
"direction": "inbound",
"current_status": "published",
"callback_config": {
"source_agent_ids": ["agent-uuid-2", "agent-uuid-3"]
}
}
]
}
Callback Agents
List Callback Agents
List inbound agents configured to handle callback calls
GET
/
api
/
v1
/
callback-agents
curl "https://app.talkover.ai/api/v1/callback-agents" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": [
{
"id": "agent-uuid-1",
"name": "Callback Handler",
"label": "Inbound Callback Agent",
"direction": "inbound",
"current_status": "published",
"callback_config": {
"source_agent_ids": ["agent-uuid-2", "agent-uuid-3"]
}
}
]
}
List Callback Agents
List all inbound agents in your environment that have been configured as callback agents. A callback agent receives return calls from contacts that were previously called by an outbound (source) agent.Endpoint
GET /api/v1/callback-agents
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/callback-agents" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": [
{
"id": "agent-uuid-1",
"name": "Callback Handler",
"label": "Inbound Callback Agent",
"direction": "inbound",
"current_status": "published",
"callback_config": {
"source_agent_ids": ["agent-uuid-2", "agent-uuid-3"]
}
}
]
}
Notes
- Only
inboundagents can serve as callback agents. - Use List Callback Source Agents to find eligible outbound agents to route from.
Was this page helpful?